package it.integry.integrywmsnative.core.model;

import it.integry.integrywmsnative.core.utility.UtilityExceptions;
import it.integry.integrywmsnative.core.utility.UtilityLogger;

public class MtbDepoPosizione {

    private String codMdep;
    private String posizione;
    private String descrizione;
    private String flagMonoCollo;



    public MtbDepoPosizione clone() {
        try {
            return (MtbDepoPosizione) super.clone();
        } catch (CloneNotSupportedException e) {
            e.printStackTrace();
            UtilityLogger.errorMe(e);
        }

        return null;
    }

    public String getCodMdep() {
        return codMdep;
    }

    public MtbDepoPosizione setCodMdep(String codMdep) {
        this.codMdep = codMdep;
        return this;
    }

    public String getPosizione() {
        return posizione;
    }

    public MtbDepoPosizione setPosizione(String posizione) {
        this.posizione = posizione;
        return this;
    }

    public String getDescrizione() {
        return descrizione;
    }

    public MtbDepoPosizione setDescrizione(String descrizione) {
        this.descrizione = descrizione;
        return this;
    }

    public String getFlagMonoCollo() {
        return flagMonoCollo;
    }

    public MtbDepoPosizione setFlagMonoCollo(String flagMonoCollo) {
        this.flagMonoCollo = flagMonoCollo;
        return this;
    }

    public boolean isFlagMonoCollo() {
        return flagMonoCollo.equalsIgnoreCase("S");
    }
}
